<?php

class actionMypatchFiles extends cmsAction {

    public function run($patch_id=false){

        $is_admin = cmsUser::isAdmin();
        if (!$is_admin) { cmsCore::error404(); }
        if (!$patch_id) { cmsCore::error404(); }
 
        $mypatch_model = cmsCore::getModel('mypatch');
        
        $patch = $mypatch_model->getPatch($patch_id);

        $grid = $this->loadDataGrid('file'); 
                
        return cmsTemplate::getInstance()->render('backend/files', array(
            'grid' => $grid,
            'patch_id' => $patch_id,
            'patch' => $patch
        ));
        
    }

}
