<?php

function grid_file($controller){

    $options = array(
        'order_by' => 'order_file',
        'order_to' => 'asc'
    );

    $columns = array(
        'order_file' => array(
            'title' => LANG_MYPATCH_ORDER,
            'width' => 5
        ),

        'file_original' => array(
            'title' => LANG_MYPATCH_FILE,
        ),
        
        'state_file' => array(
            'title' => LANG_MYPATCH_STATE,
            'flag'  => true,
            'href' => href_to($controller->root_url, 'state', array('file','{id}')),
            'width' => 5
        )
    );

    $actions = array(
        array(
            'title' => LANG_EDIT,
            'class' => 'edit',
            'href' => href_to($controller->root_url, 'file_edit', array('{id}'))
        ),
        array(
            'title' => LANG_DELETE,
            'class' => 'delete',
            'href' => href_to($controller->root_url, 'file_delete',  '{id}'),
//            'href' => href_to($controller->root_url, 'file_delete',  '{id}') . '?back=' . href_to($controller->$controller->root_url, 'file_delete'),
            'confirm' => LANG_MYPATCH_FILE_ITEM_DELETE_CONFIRM
        )

    );

    return array(
        'options' => $options,
        'columns' => $columns,
        'actions' => $actions
    );

}

